petsc-3.13.6 2020-09-29
Report Typos and Errors

# MatLMVMSymBroydenSetScaleType

Sets the scale type for symmetric Broyden-type updates.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode MatLMVMSymBroydenSetScaleType(Mat B, MatLMVMSymBroydenScaleType stype)

### Input Parameters

| snes | - the iterative context
| rtype | - restart type

### Options Database

-mat_lmvm_scale_type <none,scalar,diagonal> -set the scaling type

### MatLMVMSymBrdnScaleTypes

| MAT_LMVM_SYMBROYDEN_SCALE_NONE | - initial Hessian is the identity matrix
| MAT_LMVM_SYMBROYDEN_SCALE_SCALAR | - use the Shanno scalar as the initial Hessian
| MAT_LMVM_SYMBROYDEN_SCALE_DIAGONAL | - use a diagonalized BFGS update as the initial Hessian

### See Also

MATLMVMSYMBROYDEN, MatCreateLMVMSymBroyden()

### Level

intermediate

### Location

src/ksp/ksp/utils/lmvm/symbrdn/symbrdn.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages